;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Package: (COMMON-LISP-USER); -*-

;;; C-Interface
;;; Copyright (C) 2002 Matthias Hlzl

;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation; either version 2 of the
;;; License, or (at your option) any later version.

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
;;; 02111-1307, USA.

(in-package "COMMON-LISP-USER")

#+cmu
(defparameter *c-interface-directory*
  (namestring (truename #P"home:c-interface")))

#+cmu
(make:defsystem c-interface
    :source-pathname *c-interface-directory*
    :source-extension "lisp"
    :components ((:file "package")
		 (:file "utilities"
			:depends-on ("package"))
		 (:file "classes"
			:depends-on ("package" "utilities"))))

#+cmu
(make:defsystem test-c-interface
    :source-pathname *c-interface-directory*
    :source-extension "lisp"
    :components ((:file "test-c-interface")
		 (:file "test-utilities"
			:depends-on ("test-c-interface"))
		 (:file "test-classes.lisp"
			:depends-on ("test-c-interface" "test-utilities"))))



#-cmu
(eval-when (:compile-toplevel :load-toplevel :execute)
  (load-logical-pathname-translations "sys")
  (load "sys:iterate;iterate.lisp")
  (load-logical-pathname-translations "test-framework")
  (load "test-framework:system")
  (load-logical-pathname-translations "c-interface")
  (setf *test-suite-redefinition-warning* nil)
  (setf *fixture-redefinition-behavior* nil)
) ; eval-when

#-cmu
(defsystem c-interface
    (:default-pathname "c-interface:")
  :members (;; test-framework is needed for the package.
            ("test-framework" :type :system)
            "package.lisp"
            "utilities.lisp"
            "classes.lisp"
            )
  :rules ((:in-order-to :compile :all
           (:requires (:load :previous)))))

#-cmu
(defsystem test-c-interface
    (:default-pathname "c-interface:")
  :members (("c-interface" :type :system)
            "test-c-interface.lisp"
            "test-utilities.lisp"
            "test-classes.lisp"
            )
  :rules ((:in-order-to :compile :all
           (:requires (:load "c-interface")))
          (:in-order-to :compile :all
           (:requires (:load :previous)))
          (:in-order-to :load :all
           (:requires (:load "c-interface")))))
  

#||
(compile-system 'c-interface :force t)
(compile-system 'c-interface)
(load-system 'c-interface :force t)
(compile-system 'test-c-interface)
(compile-system 'test-c-interface :force t)
(load-system 'test-c-interface)
||#
